aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Paul Mulders <info@mld.demon.nl> 2010-02-15 15:25:51 +0100
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2010-02-15 14:59:57 +0000
commit444541a7b98f105d0273a38035f0ecbe6b0db058 (patch)
tree07fb19075d8d11b5536f3e9173e6f4c104228135
parentad17c42b5527f9ad3f66baa630e94b0eff3e088d (diff)
downloadpaludis-444541a7b98f105d0273a38035f0ecbe6b0db058.tar.gz
paludis-444541a7b98f105d0273a38035f0ecbe6b0db058.tar.xz
Update tests for ever split/split_all optional arguments.
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_ever_setup.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/paludis/repositories/e/e_repository_TEST_ever_setup.sh b/paludis/repositories/e/e_repository_TEST_ever_setup.sh
index 657909a..c86a4ab 100755
--- a/paludis/repositories/e/e_repository_TEST_ever_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_ever_setup.sh
@@ -83,7 +83,7 @@ pkg_setup() {
}
END
mkdir -p "packages/cat/ever-split"
-cat <<'END' > packages/cat/ever-split/ever-split-1.ebuild || exit 1
+cat <<'END' > packages/cat/ever-split/ever-split-1.8.4.ebuild || exit 1
HOMEPAGE="http://example.com/"
DOWNLOADS=""
SLOT="0"
@@ -102,10 +102,12 @@ pkg_setup() {
check 3.0_p2 "3 0 p2"
check 20040905 "20040905"
check 3.0c-r1 "3 0 c r1"
+ b=$(ever split)
+ [[ "${b}" == "1 8 4" ]] || die "got $b wanted 1 8 4"
}
END
mkdir -p "packages/cat/ever-split-all"
-cat <<'END' > packages/cat/ever-split-all/ever-split-all-1.ebuild || exit 1
+cat <<'END' > packages/cat/ever-split-all/ever-split-all-1.8.4.ebuild || exit 1
HOMEPAGE="http://example.com/"
DOWNLOADS=""
SLOT="0"
@@ -124,6 +126,8 @@ pkg_setup() {
check 3.0_p2 "3 . 0 _ p2"
check 20040905 "20040905"
check 3.0c-r1 "3 . 0 c - r1"
+ b=$(ever split_all)
+ [[ "${b}" == "1 . 8 . 4" ]] || die "got $b wanted 1 . 8 . 4"
}
END
mkdir -p "packages/cat/ever-major"